aboutsummaryrefslogtreecommitdiffstats
path: root/core/nano/APKBUILD
diff options
context:
space:
mode:
authorms13sp <ms13sp@gmail.com>2009-02-20 20:31:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-23 12:38:11 +0000
commita57a3613ffee66dc9ab77de675a35f3b416cad39 (patch)
tree0a96876f8bb8ee58b372b0d44e0f4b79375d2046 /core/nano/APKBUILD
parent54ef20c906ecd3ef7c0ae3915adef4bbe99faf16 (diff)
downloadaports-a57a3613ffee66dc9ab77de675a35f3b416cad39.tar.gz
aports-a57a3613ffee66dc9ab77de675a35f3b416cad39.tar.bz2
aports-a57a3613ffee66dc9ab77de675a35f3b416cad39.tar.xz
nano for alpinev1.9 first package
Diffstat (limited to 'core/nano/APKBUILD')
-rw-r--r--core/nano/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/core/nano/APKBUILD b/core/nano/APKBUILD
new file mode 100644
index 0000000000..bc911ba7df
--- /dev/null
+++ b/core/nano/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: ms13sp <ms13sp@gmail.com>
+# Maintainer: ms13sp <ms13sp@gmail.com>
+pkgname=nano
+pkgver=2.0.9
+pkgmaj=2.0
+pkgrel=0
+pkgdesc="Text Editor. GNU nano is designed to be a free replacement for the Pico text editor."
+url="http://www.nano-editor.org/"
+license="GPL"
+depends="ncurses uclibc"
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.nano-editor.org/dist/v$pkgmaj/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-tiny \
+ --disable-nls \
+ --disable-speller
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="2be94dc43fb60fff4626a2401a977220 nano-2.0.9.tar.gz"